OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_WorkLibrary Class Reference

Performs Read and Write an IGES File with an IGES Model
.

`#include <IGESSelect_WorkLibrary.hxx>`

Inheritance diagram for IGESSelect_WorkLibrary:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_WorkLibrary (const Standard_Boolean modefnes=Standard_False)
| Creates a IGES WorkLibrary If <modefnes> is given as True, it will work for FNES .
Standard_EXPORT Standard_Integer | ReadFile (const Standard_CString name, Handle(Interface_InterfaceModel)&model, const Handle(Interface_Protocol)&protocol) const
| Reads a IGES File and returns a IGES Model (into <mod>), or lets <mod> "Null" in case of Error Returns 0 if OK, 1 if Read Error, -1 if File not opened .
Standard_EXPORT Standard_Boolean | WriteFile (IFSelect_ContextWrite &ctx) const
| Writes a File from a IGES Model (brought by <ctx>) Returns False (and writes no file) if <ctx> is not for IGES .
Standard_EXPORT void | DumpEntity (const Handle(Interface_InterfaceModel)&model, const Handle(Interface_Protocol)&protocol, const Handle(Standard_Transient)&entity, const Handle(Message_Messenger)&S, const Standard_Integer level) const
| Dumps an IGES Entity with an IGES Dumper. <level> is the one used by IGESDumper. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_IGESData_Protocol | DefineProtocol ()
| Defines a protocol to be adequate for IGES (encompasses ALL the IGES norm including IGESSolid, IGESAppli) .
## Private Attributes
Standard_Boolean | themodefnes

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_WorkLibrary::IGESSelect_WorkLibrary | ( | const Standard_Boolean | modefnes = `Standard_False` | ) |

## Member Function Documentation

static Standard_EXPORT Handle_IGESData_Protocol IGESSelect_WorkLibrary::DefineProtocol | ( |  | ) | `[static]`

Standard_EXPORT void IGESSelect_WorkLibrary::DumpEntity | ( | const Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Interface_Protocol)& | protocol,
|  | const Handle(Standard_Transient)& | entity,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | level
| ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

Standard_EXPORT const IGESSelect_WorkLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_WorkLibrary.

Standard_EXPORT Standard_Integer IGESSelect_WorkLibrary::ReadFile | ( | const Standard_CString | name,
|  | Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Interface_Protocol)& | protocol
| ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

Standard_EXPORT Standard_Boolean IGESSelect_WorkLibrary::WriteFile | ( | IFSelect_ContextWrite & | ctx | ) | const`[virtual]`

| Implements IFSelect_WorkLibrary.

## Field Documentation

Standard_Boolean IGESSelect_WorkLibrary::themodefnes`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_WorkLibrary.hxx